gsw_specvol_ice {gsw} | R Documentation

## Specific Volume of Ice

### Description

Specific Volume of Ice

### Usage

    gsw_specvol_ice(t, p)

### Arguments

`t` | in-situ temperature (ITS-90) [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

Specific volume [ m^3/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_specvol_ice.html

### See Also

Other things related to density: `gsw_CT_from_rho`, `gsw_CT_maxdensity`, `gsw_SA_from_rho`, `gsw_alpha_on_beta`, `gsw_alpha_wrt_t_exact`, `gsw_alpha_wrt_t_ice`, `gsw_alpha`, `gsw_beta_const_t_exact`, `gsw_beta`, `gsw_pot_rho_t_exact`, `gsw_rho_alpha_beta`, `gsw_rho_first_derivatives_wrt_enthalpy`, `gsw_rho_first_derivatives`, `gsw_rho_ice`, `gsw_rho_t_exact`, `gsw_rho`, `gsw_sigma0`, `gsw_sigma1`, `gsw_sigma2`, `gsw_sigma3`, `gsw_sigma4`, `gsw_specvol_alpha_beta`, `gsw_specvol_anom_standard`, `gsw_specvol_t_exact`, `gsw_specvol`

### Examples

    t <- c(-10.7856, -13.4329, -12.8103, -12.2600,  -10.8863,  -8.4036)
    p <- c(      10,       50,      125,      250,       600,     1000)
    v <- gsw_specvol_ice(t, p)
    expect_equal(v, c(0.001088982980677, 0.001088489459509, 0.001088499019939,
                    0.001088433747301, 0.001088223220685, 0.001088135464776))

[Package gsw version 1.0-5 Index]